com.avaya.ccs.api.enums

## Enum DestinationListType

- java.lang.Object
- - java.lang.Enum<DestinationListType>
  - - com.avaya.ccs.api.enums.DestinationListType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DestinationListType>

      public enum DestinationListType
      extends java.lang.Enum<DestinationListType>

  The `DestinationListType` enum represents the types of `DestinationListI` objects that can possibly be returned from the POM server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Callback` The type of a `DestinationListI` object that contains callback destinations.
    `Consult` The type of a `DestinationListI` object that contains consult destinations.
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DestinationListType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DestinationListType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Consult

          public static final DestinationListType Consult

      The type of a `DestinationListI` object that contains consult destinations.

    - #### Callback

          public static final DestinationListType Callback

      The type of a `DestinationListI` object that contains callback destinations.

    - #### Unknown

          public static final DestinationListType Unknown

  - ### Method Detail

    - #### values

          public static DestinationListType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DestinationListType c : DestinationListType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DestinationListType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null